/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://public.eu-egee.org/partners/ for details on 
 * the copyright holders.
 * For license conditions see the license file or
 * http://eu-egee.org/license.html
 *
 * Authors: 
 *      Paolo Badino <Paolo.Badino@cern.ch>>
 *      Akos Frohner <Akos.Frohner@cern.ch>
 *      Peter Kunszt <Peter.Kunszt@cern.ch>
 *      Gavin McCance <Gavin.McCance@cern.ch>
 *      Krzysztof Nienartowicz <Krzysztof.Nienartowicz@cern.ch>
 *      Ricardo Rocha <Ricardo.Rocha@cern.ch>
 *      Jozsef Kovacs <smith@lutra.sztaki.hu>
 *      Daniel Rodrigues <Daniel.Rodrigues@cern.ch>
 */
package org.glite.data.catalog.service;

/**
 * Common versioning interface for all Data Catalog interfaces.
 *
 * @stereotype base-interface
 */
public interface ServiceBase {
    /**
     * @return the server version as a string
     */
    public String getVersion();

    /**
     * @return the interface version as a string
     */
    public String getInterfaceVersion();

    /**
     * @return the schema version as a string
     */
    public String getSchemaVersion();

    /**
     * Service metadata query.
     * @param key for a service metadata parameter
     * @return the metadata parameter, or null, if it does not exist
     */
    public String getServiceMetadata(String key);
}
