/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://public.eu-egee.org/partners/ for details on 
 * the copyright holders.
 * For license conditions see the license file or
 * http://eu-egee.org/license.html
 *
 * Authors: 
 *      Paolo Badino <Paolo.Badino@cern.ch>>
 *      Akos Frohner <Akos.Frohner@cern.ch>
 *      Peter Kunszt <Peter.Kunszt@cern.ch>
 *      Gavin McCance <Gavin.McCance@cern.ch>
 *      Krzysztof Nienartowicz <Krzysztof.Nienartowicz@cern.ch>
 *      Ricardo Rocha <Ricardo.Rocha@cern.ch>
 *      Jozsef Kovacs <smith@lutra.sztaki.hu>
 *      Daniel Rodrigues <Daniel.Rodrigues@cern.ch>
 */
package org.glite.data.catalog.service;

/**
 * Stat is the base class for all file stat metadata.
 * It stores the creation time as a long integer. The LFNStat and GUIDStat and SURLStat
 * are subclasses of this base class.
 */

// This class here bis only a template which will be used solely for
// WSDL and javadoc generation.  Hence is does not contain any
// elements and the implementation is dummy.  The same class will be
// regenerated from the WSDL, which will contain the autogenerated
// entries and the proper implementation.
public class Stat {

    /** The time of the last modification. Modification of the content or of the metadata. */
    public long modifyTime;

    /** The time of the creation of the coresponding entry. */
    public long creationTime;

    /** The size of the coresponding entry. */
    public long size;
    
}
